import React from 'react';
import type { ICronTriggerConfigProps } from './cronConfig';
export interface ICronMinutesState {
    minutes?: string;
}
export declare class CronMinutes extends React.Component<ICronTriggerConfigProps, ICronMinutesState> {
    private minuteOptions;
    constructor(props: ICronTriggerConfigProps);
    componentDidMount(): void;
    private onUpdateTrigger;
    render(): JSX.Element;
}
